Bug 850553 - Add key/value for audio codec to beaker
Add key/value for audio codec to beaker
Status: NEW
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.9
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
Inventory
: FutureFeature, TestBlocker, TestCaseProvided, Triaged
: 887281 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 16:09 EDT by Arthur Benoit
Modified: 2016-05-26 09:13 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Benoit 2012-08-21 16:09:05 EDT
Description of problem:
Enhancment request to provide the audio codex as a key/value.
The /proc/asound/cardX directory contains the codec product information that would be very helpful if Beaker allowed user searches for it.

   
Version-Release number of selected component (if applicable):
N/A

How reproducible:

Always
Steps to Reproduce:
1. None
2.
3.
  
Actual results:

Which to search for which have the ATI R6xx codex onboard.

Expected results:
None

Additional info:
None
Comment 1 Dan Callaghan 2012-12-16 22:04:45 EST
*** Bug 887281 has been marked as a duplicate of this bug. ***
Comment 2 Arthur Benoit 2013-03-11 10:34:01 EDT
I would like to raise the priority on this request as automation is impacted by not being able to get the information from our system base.
Comment 4 Nick Coghlan 2013-07-18 02:06:14 EDT
We're postponing this one until we can migrate the inventory task from smolt to lshw, rather than adding more features to the existing smolt based implementation that we will just have to replicate with lshw later.
Comment 6 Dan Callaghan 2014-10-28 01:36:20 EDT
Can you just use PCI device id and/or subsystem id to identify the cards you need?

I'm not sure how to fit the AC97 and HDA "codecs" into Beaker's current device model, which considers each device to be essentially just a tuple of (bus, driver, pciid, subsysid, description).
Comment 7 Dan Callaghan 2014-10-28 01:46:14 EDT
My workstation has an onboard Intel HDA, but it also has this second sound card, I guess on the GPU:

0f:00.1 Audio device [0403]: NVIDIA Corporation GF108 High Definition Audio Controller [10de:0bea] (rev a1)
	Subsystem: Hewlett-Packard Company Device [103c:0835]

According to alsa, this card has *four* codecs, all of which are:

Codec: Nvidia GPU 14 HDMI/DP
Vendor Id: 0x10de0014
Subsystem Id: 0x10de0101

If a single sound card has multiple codecs, can we assume they are all the same?

Maybe the answer is to treat the audio codecs as separate devices in themselves, and report them in addition to the sound cards themselves. So in this case I would have:

(NVIDIA Corporation GF108 High Definition Audio Controller, 10de, 0bea, 103c, 0835)
(Nvidia GPU 14 HDMI/DP, 10de, 0014, 10de, 0101)
(Nvidia GPU 14 HDMI/DP, 10de, 0014, 10de, 0101)
(Nvidia GPU 14 HDMI/DP, 10de, 0014, 10de, 0101)
(Nvidia GPU 14 HDMI/DP, 10de, 0014, 10de, 0101)
... plus the Intel HDA and its codecs.
Comment 8 Jaroslav Kysela 2014-10-28 15:59:32 EDT
Each codec has it's own address on the HDA serial bus:

$ cat /proc/asound/card0/codec#0
Codec: Intel Haswell HDMI
Address: 0
^^^^^^^^^^

So the codecs are like addressable components. I would add this address to the full component identifier.

Note You need to log in before you can comment on or make changes to this bug.